Developers
API referenceWebhook endpoints

Create a webhook endpoint

POST
/webhook-endpoints

Creates an endpoint and returns its signing secret once. Store it; it is needed to verify the WoodYouCare-Signature header. Endpoints created with a test token only receive test events.

Scope: webhooks:manage.

Authorization

bearerAuth
AuthorizationBearer <token>

A Platform API token, wyc_live_... or wyc_test_..., created at Settings > API tokens in the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create (POST) or update (PATCH) a webhook endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhook-endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/webhooks/woodyoucare",    "events": [      "allocation.created",      "allocation.planted",      "verification.published"    ],    "description": "CRM sync",    "include_personal_data": false  }'
{  "id": "whe_2xL7rCkZa8bW1vT9yN6pDmQ3",  "object": "webhook_endpoint",  "livemode": true,  "url": "https://example.com/webhooks/woodyoucare",  "description": "CRM sync",  "events": [    "allocation.created",    "allocation.planted",    "verification.published"  ],  "include_personal_data": false,  "status": "enabled",  "disabled_reason": null,  "secret": "whsec_9f2c...",  "created_at": "2026-09-28T09:00:00Z",  "updated_at": "2026-09-28T09:00:00Z"}